# 使用PaddlePaddle和PaddleSlim，产出动态离线量化的模型

1. 参考[链接](https://www.paddlepaddle.org.cn/install/quick)安装PaddlePaddle
2. 参考[链接](https://paddleslim.readthedocs.io/zh_CN/latest/install.html)安装PaddleSlim
3. 如果安装的PaddlePaddle版本不低于2.0，修改 `quant_post_dynamic.py`，删除paddle.enable_static()的注释
4. 执行 `python quant_post_dynamic.py`，动态离线量化的mobilenetv1模型保存在`mobilenet_v1_int16`，其中权重是量化为16比特，量化的模型可以用于PaddleLite预测部署
5. 对比量化前后的模型体积，量化前模型是18M，量化后是8.9M
